// SlopeMapGeneratorDlg.h : header file
//

#if !defined(AFX_SLOPEMAPGENERATORDLG_H__F048DDC7_C43E_11D3_8B36_00902712C9AE__INCLUDED_)
#define AFX_SLOPEMAPGENERATORDLG_H__F048DDC7_C43E_11D3_8B36_00902712C9AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSlopeMapGeneratorDlg dialog

class CSlopeMapGeneratorDlg : public CDialog
{
// Construction
public:
	CSlopeMapGeneratorDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSlopeMapGeneratorDlg)
	enum { IDD = IDD_SLOPEMAPGENERATOR_DIALOG };
	float	m_HScale;
	CString	m_InFile;
	CString	m_OutFile;
	float	m_XScale;
	float	m_YScale;
	float	m_Slope;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSlopeMapGeneratorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSlopeMapGeneratorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnBrowse();
	afx_msg void OnExit();
	afx_msg void OnGenerate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SLOPEMAPGENERATORDLG_H__F048DDC7_C43E_11D3_8B36_00902712C9AE__INCLUDED_)
